using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace WebMail.Model
{
    [Table("Notes")]
    public class Note
    {
        public Note()
        { 
        }

        [Key]
        public int Id { get; set; }

        [MaxLength(256)]
        public string Subject { get; set; }

        public int FolderId { get; set; }

        public DateTime DateCreated { get; set; }

        [MaxLength(500)]
        public string NoteContent { get; set; }
    }
}